Subject: Re: Test failure: Test #3 in t1304-default-acl

From: "Joachim Schmitz" <[email-masked]>
Date: Mon, 1 Oct 2012 10:08:23 +0200

Ramkumar Ramachandra wrote:
> Hi Junio,
>
> Junio C Hamano wrote:
>> Matthieu Moy <[email-masked]> writes:
>>
>>> Junio C Hamano <[email-masked]> writes:
>>>
>>>> I haven't been paying attention, but does that mean on that system,
>>>> a total stranger kseygold can write, modify, and remove whatever
>>>> Ram owns?  I am hoping that is not the case.
>>>
>>> I can see two reasons for having the same UID for two login names:
>>>
>>> 1) the sysadmin really messed up, and as you say, a total stranger
>>> has complete ownership of your files. Ramkumar, you should check
>>> that this is not your case.
>>>
>>> 2) the sysadmin explicitely gave two login names to the same
>>> physical person, as kinds of aliases for the same UID (e.g. the
>>> person got married, changed her name and login, but expects
>>> ~oldlogin to continue working). I'm not sure how common this is,
>>> and to which extend we want to support this in our test scripts.
>>
>> I've only been assuming (1), but (2) feels like a legitimate (if
>> confusing) way to configure your system.
>>
>> It is a separate issue if it is worth bending backwards to support
>> it in the test, though.
>
> For what it's worth, `sudo` is "broken" on my system.

sudo can't deal properly with multiple users sharing a UID, as it uses 
getpwuid(getuid()) in places.
On my system I've replaced that with getgwnam(getlogin()). which seems to 
work fine here.

Bye, Jojo